Bug 485558 - RFE: Firmware for Ricoh R5U87x chipset based webcams
RFE: Firmware for Ricoh R5U87x chipset based webcams
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://bitbucket.org/ahixon/r5u87x/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 07:21 EST by Riku Seppala
Modified: 2009-03-27 12:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 23:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Riku Seppala 2009-02-14 07:21:50 EST
Description of problem:
Webcams that use Ricoh R5U87x chipset need firmware to work. (Several laptops from HP, Sony, etc.)

Version-Release number of selected component (if applicable):


How reproducible:
Always 

Steps to Reproduce:
1. Try to use webcam

  
Actual results:
Webcam not found.

Expected results:
Working webcam

Additional info:
I already added this to rpmfusion wishlist before noticing this page https://fedoraproject.org/wiki/Firmware so might as well try opening bug report for this. Fedora does ship some firmware so this is legal issue.

You can find the firmware here http://bitbucket.org/ahixon/r5u87x/

What is needed: (from https://fedoraproject.org/wiki/Firmware)

*  Creating packages of firmware

* Contact manufacturers asking them under which conditions their firmware      may be redistributed

* Contact manufacturers requesting them to modify their firmware redistribution conditions, to make them Fedora compatible
Comment 3 Riku Seppala 2009-02-21 12:25:33 EST
Ubuntu bug https://bugs.launchpad.net/ubuntu/+bug/120434
Comment 4 Kyle McMartin 2009-02-24 23:19:29 EST
It isn't a kernel bug to package random device firmware.
Comment 5 Riku Seppala 2009-02-25 03:55:43 EST
I don't really care if it's kernel bug or distro bug or what ever, fedora  should support hardware as much as possible like others distros.

Have Red Hat asked can they redistribute the firmware? if yes, then ok. If not, why not? Just change the component to what ever is right or give me a reason why this wont get shipped.
Comment 6 ArDn 2009-03-26 18:39:46 EDT
any news?
Comment 7 Riku Seppala 2009-03-27 12:39:01 EDT
Well, this is closed as notabug so, AFAICT, nothing is done. I did add this as firmware currently missing from Fedora here https://fedoraproject.org/wiki/Firmware but that page is outdated, are the developers reading it? I also added this to rpmfusion wishlist.

Note You need to log in before you can comment on or make changes to this bug.